Name:	gdmap
Version:	0.7.5
Release:	6%{?dist}
Summary:	A tool which allows to visualize disk space

Group:	Applications/System
License:	GPL
URL:	http://gdmap.sourceforge.net
Source0:	http://belnet.dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  gtk2-devel, libxml2-devel, desktop-file-utils, gettext, intltool

%description
GdMap is a tool which allows you to visualize disk space with one single
picture. To display directory structures, cushion treemaps are used to
visualize a complete folder or even the whole hard drive with one picture.

%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


desktop-file-install --vendor fedora --delete-original \
  --add-category X-Fedora                              \
  --add-category System                                \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications        \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

%find_lang GdMap

%clean
rm -rf $RPM_BUILD_ROOT


%files -f GdMap.lang
%defattr(-,root,root,-)
%doc COPYING
%{_bindir}/%{name}
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}/pixmaps/*
%{_datadir}/pixmaps/*
%{_mandir}/man1/*


%changelog
* Mon Oct 16 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-6
- Bumped

* Mon Aug 28 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-5
- Bump Release

* Fri Jul 7 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-4
- Fixed Desktop file

* Fri Jul 7 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-3
- Fixed mixed-use-of-spaces-and-tabs and %find_lang in changelog
- added category System and delete-original in desktop-file-install

* Tue Apr 6 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-2
- Fixed Buidrequires, add intltool
- Fixed locales, add %find_lang GdMap and %%files -f GdMap.lang and remove {_datadir}/locales

* Tue Apr 6 2006 Damien Durand <splinux@fedoraproject.org> - 0.7.5-1
- Initial package
